Bug 856764 - RHEL 6.5 Common Network Backports Tracker
RHEL 6.5 Common Network Backports Tracker
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Neil Horman
Network QE
:
Depends On:
Blocks: 757944 761525 961662 1056266
  Show dependency treegraph
 
Reported: 2012-09-12 14:39 EDT by Neil Horman
Modified: 2014-01-21 15:13 EST (History)
20 users (show)

See Also:
Fixed In Version: kernel-2.6.32-401.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1056266 (view as bug list)
Environment:
Last Closed: 2013-11-21 08:33:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add missing EEE definitions and functions (28.41 KB, patch)
2013-01-29 07:17 EST, Nikolay Aleksandrov
no flags Details | Diff
Add eth_zero_addr() support function to support ethernet type drivers (1.25 KB, patch)
2013-02-06 16:07 EST, John Greene
no flags Details | Diff
0001-workqueue-add-work_busy.patch (2.66 KB, text/plain)
2013-06-26 10:55 EDT, Stanislaw Gruszka
no flags Details
0002-net-add-ETH_P_802_3_MIN.patch (1.15 KB, text/plain)
2013-06-26 10:56 EDT, Stanislaw Gruszka
no flags Details
0003-netlink-add-signed-types.patch (4.67 KB, text/plain)
2013-06-26 10:57 EDT, Stanislaw Gruszka
no flags Details
0004-netlink-advertise-incomplete-dumps.patch (5.90 KB, text/plain)
2013-06-26 10:58 EDT, Stanislaw Gruszka
no flags Details
0005-kconfig-Introduce-IS_ENABLED-IS_BUILTIN-and-IS_MODUL.patch (3.36 KB, text/plain)
2013-06-26 10:59 EDT, Stanislaw Gruszka
no flags Details
0006-net-add-netdev_features_t.patch (1.09 KB, text/plain)
2013-06-26 11:00 EDT, Stanislaw Gruszka
no flags Details
0007-etherdevice-introduce-eth_broadcast_addr.patch (1.66 KB, text/plain)
2013-06-26 11:01 EDT, Stanislaw Gruszka
no flags Details
0008-etherdevice.h-Add-is_unicast_ether_addr-function.patch (1.68 KB, text/plain)
2013-06-26 11:02 EDT, Stanislaw Gruszka
no flags Details
0009-net-add-mac_pton.patch (1.93 KB, text/plain)
2013-06-26 11:03 EDT, Stanislaw Gruszka
no flags Details
0010-pci-add-PCI_EXP_LNKCTL_ASPM_-L1-L0S.patch (1.28 KB, text/plain)
2013-06-26 11:04 EDT, Stanislaw Gruszka
no flags Details
0011-Input-add-KEY_WPS_BUTTON-definition.patch (1.25 KB, text/plain)
2013-06-26 11:05 EDT, Stanislaw Gruszka
no flags Details
0012-Driver-core-create-lock-unlock-functions-for-struct-.patch (1.24 KB, text/plain)
2013-06-26 11:06 EDT, Stanislaw Gruszka
no flags Details
0013-netdev-add-netdev_continue_rcu.patch (2.53 KB, text/plain)
2013-06-26 11:07 EDT, Stanislaw Gruszka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1645 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6 kernel update 2013-11-20 17:04:18 EST

  None (edit)
Description Neil Horman 2012-09-12 14:39:50 EDT
This is the common backport tracker bug for 6.5.  It will be available at the following URL :

http://git.engineering.redhat.com/?p=users/nhorman/rhel6.git;a=shortlog;h=65-common-net-backports

Please note that, due to the large usage the 6.4 tracker received (which I very much appreciate) and the difficultly of review given the disparate nature of the changeset collection, I'd like to ask that all requested backport request include the following information:

1) The commit specifically being requested
2) The driver that requires this functionality
3) The specific commit in the driver backport which requires this common backport

Thank you!
Comment 2 Nikolay Aleksandrov 2013-01-29 07:17:13 EST
Created attachment 689769 [details]
Add missing EEE definitions and functions

Hello,
The attached patch adds missing EEE definitions and functions. Currently they are required by Intel's out-of-tree driver in order to compile, but they might also be used by future driver backports which implement EEE.
For Intel's case see https://bugzilla.redhat.com/show_bug.cgi?id=896263

The patch is a straightforward backport of the following 3 commits (in order):
1. c44f7eb4c127be8bb8b160902845b88d489492e5 'mii: Convert spaces to tabs in mii.h'
2. a59a4d1921664da63d801ba477950114c71c88c9 'phy: add the EEE support and the way to access to the MMD registers.'
3. b32607dd47d456b99f0a16f1c37bc8a0975ffb19 'mdio: translation of MMD EEE registers to/from ethtool settings'

Brew: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=5327818

The patch is against kernel-2.6.32-356.

I have chosen to backport the first patch as it makes the others apply cleanly and brings the state closer to upstream. In case this is not accepted I can only post the definitions (which are the required bare minimum for the out-of-tree drivers to compile), but I think it is beneficial to have the full backport.

Best regards,
 Nik
Comment 3 John Greene 2013-02-06 16:07:43 EST
Created attachment 694140 [details]
Add eth_zero_addr() support function to support ethernet type drivers
Comment 4 John Greene 2013-02-06 16:11:03 EST
Upcoming new driver family: rtlwifi needs this small change to be sync'ed upstream. It's a small change, very confined, and applicable to most ethernet kindred.

f931ce161d2b3772e554491b9206a534442d4a9c etherdevice: introduce help function eth_zero_addr()

I have it running in my build now, not issues and it's already upstream.
Comment 5 Neil Horman 2013-02-06 16:47:15 EST
Hey guys, sorry for the delay, I'll push all of these tomorrow.
Comment 6 Stefan Assmann 2013-02-07 10:19:21 EST
(In reply to comment #4)
> Upcoming new driver family: rtlwifi needs this small change to be sync'ed
> upstream. It's a small change, very confined, and applicable to most
> ethernet kindred.
> 
> f931ce161d2b3772e554491b9206a534442d4a9c etherdevice: introduce help
> function eth_zero_addr()
> 
> I have it running in my build now, not issues and it's already upstream.

Actually I was going to post this now for #870635 as it's needed there. Not sure what's the best way to proceed here. I could delay the fix till Neil posts the series but that's probably going to take a while. Or we rebase once the fix is in. Thoughts?
Comment 7 Neil Horman 2013-02-07 11:29:38 EST
note: in response to comment 4, commit f931ce61d doesn't exist (I think thats just in your local tree john).  The upstream commit is 6d57e9078e880a3dd232d579f42ac437a8f1ef7b
Comment 8 Neil Horman 2013-02-07 11:31:19 EST
The following commits have been pushed to the 65-common-net-backports branch:
c44f7eb4c127be8bb8b160902845b88d489492e5
a59a4d1921664da63d801ba477950114c71c88c9
b32607dd47d456b99f0a16f1c37bc8a0975ffb19
6d57e9078e880a3dd232d579f42ac437a8f1ef7b
Comment 9 John Greene 2013-02-11 08:21:58 EST
Thanks Neil, will tend to it.
Comment 11 Neil Horman 2013-04-09 10:56:58 EDT
Just as an FYI, this bug will be getting posted to RHKL on or about august 1'st, 2013
Comment 12 RHEL Product and Program Management 2013-04-11 22:27:42 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 14 Neil Horman 2013-04-17 09:37:14 EDT
The following commits have been pushed to the 65-common-net-backports branch:
fa9ee9c4b9885dfdf8eccac19b8b4fc8a7c53288
Comment 17 Neil Horman 2013-05-28 07:37:42 EDT
Liang, this bug, like the 6.4 and 6.3 backport trackers that preceded it, are tested implicitly.  if you test the bugs that this bug blocks, the code modified by this bug will be implicitly exercised.
Comment 18 Neil Horman 2013-06-04 15:57:33 EDT
update - I'll be posting this a bit sooner, around 7/10/13.  If thats a problem for anyone, please speak up
Comment 23 Neil Horman 2013-06-26 09:40:08 EDT
There have been no updates requested in this backport tracker for several weeks now.  any objections to my posting it a bit early, to give more runway to driver posts/reviews?
Comment 24 Stanislaw Gruszka 2013-06-26 10:03:25 EDT
I'm about adding patches, just waiting brew build to finish. I think earlier post will be better -  patches that will not make it can be posted separately together with particular driver backport.
Comment 25 Stanislaw Gruszka 2013-06-26 10:55:50 EDT
Created attachment 765630 [details]
0001-workqueue-add-work_busy.patch
Comment 26 Stanislaw Gruszka 2013-06-26 10:56:36 EDT
Created attachment 765631 [details]
0002-net-add-ETH_P_802_3_MIN.patch
Comment 27 Stanislaw Gruszka 2013-06-26 10:57:20 EDT
Created attachment 765632 [details]
0003-netlink-add-signed-types.patch
Comment 28 Stanislaw Gruszka 2013-06-26 10:58:10 EDT
Created attachment 765633 [details]
0004-netlink-advertise-incomplete-dumps.patch
Comment 29 Stanislaw Gruszka 2013-06-26 10:59:20 EDT
Created attachment 765634 [details]
0005-kconfig-Introduce-IS_ENABLED-IS_BUILTIN-and-IS_MODUL.patch
Comment 30 Stanislaw Gruszka 2013-06-26 11:00:09 EDT
Created attachment 765635 [details]
0006-net-add-netdev_features_t.patch
Comment 31 Stanislaw Gruszka 2013-06-26 11:01:22 EDT
Created attachment 765636 [details]
0007-etherdevice-introduce-eth_broadcast_addr.patch
Comment 32 Stanislaw Gruszka 2013-06-26 11:02:20 EDT
Created attachment 765637 [details]
0008-etherdevice.h-Add-is_unicast_ether_addr-function.patch
Comment 33 Stanislaw Gruszka 2013-06-26 11:03:20 EDT
Created attachment 765639 [details]
0009-net-add-mac_pton.patch
Comment 34 Stanislaw Gruszka 2013-06-26 11:04:14 EDT
Created attachment 765640 [details]
0010-pci-add-PCI_EXP_LNKCTL_ASPM_-L1-L0S.patch
Comment 35 Stanislaw Gruszka 2013-06-26 11:05:13 EDT
Created attachment 765641 [details]
0011-Input-add-KEY_WPS_BUTTON-definition.patch
Comment 36 Stanislaw Gruszka 2013-06-26 11:06:05 EDT
Created attachment 765642 [details]
0012-Driver-core-create-lock-unlock-functions-for-struct-.patch
Comment 37 Stanislaw Gruszka 2013-06-26 11:07:10 EDT
Created attachment 765643 [details]
0013-netdev-add-netdev_continue_rcu.patch
Comment 38 Stanislaw Gruszka 2013-06-26 11:10:29 EDT
Above 13 patches are needed for wireless subsystem update for bug 882300.
Comment 39 Neil Horman 2013-06-26 12:31:45 EDT
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=5953298


Test build to validate sanity
Comment 40 Neil Horman 2013-06-26 12:56:23 EDT
stanislaw, I wish you had these to me a bit sooner.  some fixups were needed when applying, but I think its for the most part ok.  Please rebase your wireless backport to the head of the 65-common-net-backports branch, and do a test build for me to confirm.  Please post the brew build here along with your testing results, and I'll get these posted.  thanks
Comment 41 Stanislaw Gruszka 2013-06-27 04:51:00 EDT
Neil, sorry for late posting.

Patches were based on -392.el6 (plus 65-common-net-backports branch pulled from your repo), so that the reason they do not apply cleanly on the branch which is -358.el6 based. I prefer to use newer kernel. Could you rebase ? (I believe "git rebase master 65-common-net-backports" should do the trick without problem).

Regarding testing, I still need some work to make wireless backport compile. Those patches are just prerequisites, but some internal changes are needed to make backport work. Probably on the next week I would be able to do some first runtime tests. So far I can only tell the patches are compile "tested".

Anyway, if you fill that those patches are troubles for you, I'm perfectly fine if you eventually drop them. I can post them as part of wireless update (for bug 882300) if needed to avoid unnecessary problems. Thanks.
Comment 42 Neil Horman 2013-06-27 07:27:40 EDT
yeah, ok, if we can't test these soon, then I think the best course of action is for me to revert these changes and have you post without them.  They don't look like they're any big deal, but if I can't say I tested them, I'll get grief about it on rhkl
Comment 43 Rafael Aquini 2013-07-24 14:26:19 EDT
Patch(es) available on kernel-2.6.32-401.el6
Comment 47 errata-xmlrpc 2013-11-21 08:33:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1645.html

Note You need to log in before you can comment on or make changes to this bug.